Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.postix
Class Postix

    java.lang.Object
      ix.icore.IXAgent
          ix.ip2.Ip2
              ix.postix.Postix

    public class Postix

extends Ip2

A minimized I-P2 class and application main program.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.Ip2
`Ip2.AddHandlersHandler`

Field Summary

Fields inherited from class ix.ip2.Ip2
`activityViewer, agentTypeName, annotationViewer, controller, domain, frame, issueViewer, logoImage, logoLine1, logoLine2, modelManager, optionManager, resetHooks, showOptions, stateViewer`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, knownAgents, nameListeners, startupDate, startupHooks, symbolName, textFrame, thisAgent`

Constructor Summary
`Postix()`
`Postix(boolean setAgent)`

Method Summary
`protected void` | `completeStartup()` Called in the AWT event thread to make the main GUI frame visible and perform any additional setup that ought to be done in that thread.
`(package private) AgendaViewer` | `getActivityViewer()`
`void` | `handleInput(IPC.InputMessage message)` Handles external input in the form of an IPC.InputMessage that contains an object such as an Issue, Activity, or Report.
`static void` | `main(java.lang.String[] argv)` Main program.
`void` | `startup()` Completes basic setup and initialization.

Methods inherited from class ix.ip2.Ip2
`addAboutInfo, addForwardingHandler, addHandlers, addHandlers, addResetHook, addTest, addTestMenuItems, addTool, clearAllButState, clearModel, do_reloadViewers, ensureTool, exit, getActivityPatternSyntaxes, getAgentTypeName, getController, getDomain, getFrame, getIp2ModelManager, getModelManager, getOptionManager, getPlan, handleInputDirectly, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, initOptions, isReloadingViewers, loadDomain, loadInitialPlan, loadPlan, loadPlan, loadPlan, makeActivityViewer, makeAnnotationViewer, makeController, makeIp2Frame, makeIssueViewer, makeLogoPanel, makeModelManager, makeStateViewer, makeViewer, processCommandLineArguments, readDomain, readDomain, reloadViewers, reset, resetAllButState, resetViewers, savePlanAs`

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, displayMessage, do_mainStartup, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleReceivedReport, installAgentExtensions, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setupISimTimer, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Postix

    public Postix()

### Postix

    public Postix(boolean setAgent)

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Main program.

### startup

    public void startup()

  Completes basic setup and initialization.

  Overrides:
    `startup` in class `Ip2`

### completeStartup

    protected void completeStartup()

  Description copied from class: `Ip2`
  Called in the AWT event thread to make the main GUI frame visible and perform any additional setup that ought to be done in that thread.

  Overrides:
    `completeStartup` in class `Ip2`
  See Also:
    `Ip2Frame.becomeVisible()`

### getActivityViewer

    AgendaViewer getActivityViewer()

### handleInput

    public void handleInput(IPC.InputMessage message)

  Description copied from class: `IXAgent`
  Handles external input in the form of an IPC.InputMessage that contains an object such as an Issue, Activity, or Report. It calls one of `handleNewIssue`, `handleNewReport`, etc as appropriate.

  Overrides:
    `handleInput` in class `Ip2`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD